CREATE TABLE webring
       (
       idsite SMALLINT NOT NULL auto_increment unique,
       site_nom VARCHAR(100) NOT NULL unique,
       url VARCHAR(100) NOT NULL unique,
       description VARCHAR(254) NOT NULL,
       webmaster VARCHAR(50) NOT NULL,
       email VARCHAR(50) NOT NULL unique,
       pseudo VARCHAR(20) NOT NULL unique,
       mdp VARCHAR(20) NOT NULL,
       visites SMALLINT(4) DEFAULT '0',
       date DATE NOT NULL DEFAULT '0000-00-00',
       page VARCHAR(254),
       accept TINYINT(1) NOT NULL DEFAULT '0',
       PRIMARY KEY (idsite)
       );

CREATE TABLE webring_com
       (
       idcom TINYINT NOT NULL AUTO_INCREMENT,
       idsite TINYINT NOT NULL,
       auteur VARCHAR(15) NOT NULL,
       texte CHAR(255) NOT NULL,
       note SMALLINT(2) DEFAULT '0',
       date DATE NOT NULL DEFAULT '0000-00-00',
       PRIMARY KEY(idcom)
       );

CREATE TABLE webring_adm
       (
       idadm TINYINT NOT NULL auto_increment,
       loginadm VARCHAR(10) NOT NULL,
       passadm VARCHAR(10) NOT NULL,
       nomadm VARCHAR(100) NOT NULL,
       emailadm VARCHAR(50) NOT NULL,
       PRIMARY KEY (idadm)
       );

CREATE TABLE webring_conf (
  idconf tinyint(4) NOT NULL auto_increment,
  lang char(3) NOT NULL default '',
  mailadm varchar(35) NOT NULL default 'all',
  signature tinytext NOT NULL,
  adresse_site varchar(100) NOT NULL default '',
  dossierwr varchar(50) NOT NULL default '',
  type varchar(50) NOT NULL default '',
  nomwr varchar(35) NOT NULL default '',
  jrnew smallint(2) default '7',
  classement varchar(15) default NULL,
  nbre smallint(2) NOT NULL default '0',
  nbre_rech smallint(2) NOT NULL default '5',
  ordre varchar(4) NOT NULL default '',
  msg_acc mediumtext NOT NULL,
  msg_desac mediumtext NOT NULL,
  msg_supp_script mediumtext NOT NULL,
  msg_insc mediumtext NOT NULL,
  msg_refus mediumtext NOT NULL,
  msg_supp_decision mediumtext NOT NULL,
  rappel_ident mediumtext NOT NULL,
  version varchar(6) default NULL,
  PRIMARY KEY  (idconf)
);

INSERT INTO webring_conf VALUES
(
1,
'fra',
'all',
'@+\r\nRobert\r\n-----------------------\r\nAdministrateur du Webirng\r\n-----------------------',
'http://localhost',
'webring',
'Choses',
'Choses\'ring',
7,
'date',
5,
5,
'ASC',
'Bonjour NOMDUWEBMASTER,\r\nVous avez demande a ce que votre site NOMDUSITE rejoigne le webring des sites de TYPEDEWEBRING.\r\n        Votre demande a ete acceptee. Allez a l\'adresse suivante : CHEMINDUWEBRING/admin.php pour obtenir le code a ajouter a votre site et indiquer une page ou ce trouve le code.\r\n        Attention : Il est important de ne pas modifier ce code car des verifications sont effectuees regulierement.\r\n        Rappel de votre pseudo : PSEUDODUMEMBRE\r\nRappel de votre mot de passe : MOTDEPASSEDUMEMBRE\r\nSIGNATURE',
' Bonjour NOMDUWEBMASTER,\r\n  Votre site fait parti du NOMDUWEBRING. Nous avons remarque que votre site ne contient pas le script du webring. Un webring est une chaine de sites, il ne faut pas que cette chaine soit rompue.\r\n  Mommentanement, votre site a ete desactive.\r\n  SIGNATURE', 'Bonjour NOMDUWEBMASTER,\r\n  J\'ai le regret de vous informer que votre site a ete supprimer du NOMDUWEBRING car le code du webring\r\n  n\'a pas ete trouve.\r\n  SIGNATURE', '', 'Bonjour NOMDUWEBMASTER,\r\nJe suis desole de vous informer que votre site n\'a pas ete accepte pour faire parti du NOMDUWEBRING\r\nSIGNATURE',
'Bonjour NOMDUWEBMASTER,\r\n  J\'ai le regret de vous informer que votre site a ete supprim du NOMDUWEBRING suite  une dcision de l\'administrateur\r\n  SIGNATURE',
'Bonjour NOMDUWEBMASTER,\r\nVous avez demande vos identifiants pour NOMDUWEBRING, les voici :\r\nVotre pseudo : PSEUDODUMEMBRE\r\nVotre mot de passe : MOTDEPASSEDUMEMBRE\r\nSIGNATURE',
'4.0 RC1'
);

    





